<?php

session_start();

date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();

include "verifica.php";
include("../conexion.php");
include "correlativos.php";
include "validaciones.php";

@$xid=$_REQUEST['xid_caja'];
@$xordped_codi=$_REQUEST['xordped_codi_fk'];

@$xaccion=$_REQUEST['xaccion_caja'];
@$xestado=$_REQUEST['xestado'];
@$xprd_codi=$_REQUEST['xprd_codi'];
@$xopealmdet_codi=$_REQUEST['xopealmdet_codi'];
@$xunimed_codi=$_REQUEST['xunimed_codi'];
@$xopealmdet_precio=$_REQUEST['xopealmdet_precio'];
@$xopealmdet_cantidad=$_REQUEST['xopealmdet_cantidad'];
@$xanotaciones=$_REQUEST['xanotaciones_caja'];
@$xnro_documento=$_REQUEST['xnro_documento'];
@$xdocumento=$_REQUEST['xdocumento'];
@$xmonto=$_REQUEST['xmonto_caja'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xfecha=$_REQUEST['xfecha_caja'];
@$xproveedor=$_REQUEST['xproveedor_caja'];
@$xpagotipo=$_REQUEST['xpagotipo_caja'];
@$xmediopago=$_REQUEST['xmediopago'];

@$xidtrans=$_REQUEST['xidtrans_caja'];
@$zaccion_destino_caja=$_REQUEST['zaccion_destino_caja'];


$cajped = new Cajapedidos;

switch($xaccion){
		
	case "modificar": 
		if($_SESSION['s_tipo_usuario']!=3){
			?>
			<script language="javascript">
			alert("ADVERTENCIA: El usuario actual no se encuentra autorizado para realizar modificaciones.");			
			</script>			
			<?php
		}else{			
			if($cajped->modificar($conexion)==1){
				//echo "modificar";						
				?>
				<script language="javascript">
				alert("Los cambios han sido guardados satisfactoriamente.");			
				//xop=parent.parent.document.getElementById('xop').value;
				//parent.parent.location.href="../caja.php";
				
				parent.document.getElementById('frame_pedidos_caja').src='pedidos_caja.php?xordped_codi=<?php echo $xordped_codi;?>&xaccion_destino_caja=<?php echo $zaccion_destino_caja; ?>';
				parent.parent.accion_pedidos('cerrar_nueva_operacion_caja');			
			
				</script>			
				<?php
			}		
		}
		break;
	
	case "eliminar":
		if($adet->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";
			
			//alert("essss");
			
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";				
			</script>			
			<?php
			
		}		
		break;
				
	case "guardar_nuevo_caja_pedido":
		if($cajped->guardar_nuevo_caja_pedido($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			alert("Operaci�n de caja guardada satisfactoriamente.")
			parent.document.getElementById('frame_pedidos_caja').src='pedidos_caja.php?xordped_codi=<?php echo $xordped_codi;?>&xaccion_destino_caja=<?php echo $zaccion_destino_caja; ?>'  ;
			parent.parent.accion_pedidos('cerrar_nueva_operacion_caja');
			//parent.location.href="../caja.php";
			</script>			
			<?php			
		}		
		break;						
		
	case "generar_idtrans":
		if($cajped->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($cajped->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			//alert("aaa: <?php echo $xordped_codi;?>");
			
			resp2=confirm("El estado del registro ha sido cambiado satisfactoriamente. Desea actualizar la p�gina?");		
			if(resp2){		
				//buscar();				
				parent.parent.document.getElementById('frame_pedidos_caja').src='pedidos_caja.php?xordped_codi=<?php echo $xordped_codi;?>&xaccion_destino_caja=<?php echo $zaccion_destino_caja; ?>';				
				
			}	

			
			</script>			
			<?php
			
		}		
		break;




}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Cajapedidos{

	//Guarda Modificaciones de operaci�n de caja
	function modificar($conexion){
	
		global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xdocumento,$xnro_documento,$xmonto, $xusuario_sesion,$xmediopago;
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
		
			
		$r2=mysqli_query($conexion,"UPDATE operacion_caja set opecaj_anotaciones='$xanotaciones',
														opecaj_monto = '$xmonto',
														medpag_codi_fk = $xmediopago,
														opecaj_usu_modifica = '$xusuario_sesion'
												WHERE opecaj_codi=$xid;");																						
		
		if($r2){	
					
			return 1;
		
		}			
	}	
	




	//Elimina
	function eliminar($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi;		

		$r = mysqli_query($conexion,"delete from temporal_operacion_almacen_detalle where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		




	//Guarda nuevo caja
	function guardar_nuevo_caja_pedido($conexion){
	
		global $xid,$xprc_codi,$xopealmdet_codi,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xnro_documento,$xdocumento,$xmonto, $xusuario_sesion, $xordped_codi,$xmediopago, $cor, $vali, $zaccion_destino_caja;					
				
		if($zaccion_destino_caja=='nota_credito'){
			$xopecaj_tipo_de_nota = 1;
		}else{	
			if($zaccion_destino_caja=='nota_debito'){
				$xopecaj_tipo_de_nota = 2;
			}else{		
				$xopecaj_tipo_de_nota = 0;
			}	
		}						
								
		$correlativo = $cor->caja($conexion);
		$xcaj_codi = $vali->caja_abierta($conexion);
		
		$s_empresa = $_SESSION['s_empresa'];		
			
		?>
		<script language="javascript">
		//alert("AQUII: <?php echo $xcaj_codi; ?>");
		</script>
		<?php
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);							
		
		$xfechahora = date('Y-m-d H:i:s');				
		
		$r2=mysqli_query($conexion,"INSERT INTO operacion_caja (opecaj_fechahora,
																		opecaj_fecha,
																		opecaj_numero,																		
																		per_codi_fk,
																		opecajtip_codi_fk,																		
																		opecaj_anotaciones,
																		opecaj_monto,
																		medpag_codi_fk,
																		opecaj_usu_crea,
																		idtrans,
																		caj_codi_fk,
																		emp_codi_fk,
																		opecaj_tipo_de_nota) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$correlativo',
																		$xproveedor,
																		$xpagotipo,
																		'$xanotaciones',
																		$xmonto,
																		$xmediopago,
																		'$xusuario_sesion',
																		'$xidtrans',
																		'$xcaj_codi',
																		'$s_empresa',
																		$xopecaj_tipo_de_nota);");				
		
		if($r2){				
			$r4=mysqli_query($conexion,"SELECT * FROM operacion_caja o WHERE idtrans = '$xidtrans';");
			while($row4=mysqli_fetch_array($r4)){
				$xopecaj_codi_fk = $row4['opecaj_codi'];
			}		
		
			?>			
			<script language="javascript">
			//alert("VAMONOSSS1...!!! - <?php echo $xfecha;?> - <?php echo $xproveedor;?> - <?php echo $xpagotipo;?> - <?php echo $xmonto;?> - <?php echo $xusuario_sesion;?>  - <?php echo $xidtrans;?> - <?php echo $xopecaj_codi_fk;?> - <?php echo $xordped_codi;?> ");
			//parent.location.href="../caja.php";
			</script>			
			<?php			
		
			$xfechahora = date('Y-m-d H:i:s');						
			$r3=mysqli_query($conexion,"INSERT INTO orden_pedido_caja (ordpedcaj_fechahora,
																			ordped_codi_fk,
																			opecaj_codi_fk) 
																	VALUES('$xfechahora',
																			$xordped_codi,
																			$xopecaj_codi_fk);");			
			if($r3){					
				return 1;
			}			
		}		
	}		



	//Activa operacion de caja
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;			

		$r = mysqli_query($conexion,"update operacion_caja set opecaj_estado = $xestado,
															   opecaj_usu_activa = '$xusuario_sesion'															    
															where opecaj_codi = $xid;");		
		if($r){		
			return 1;
		}		
	}	



	//Generar Idtrans	
	function generar_idtrans(){							
		$nu = "9999999999"; 
		$xnu = time().rand(1,$nu);
		
		?>			
		<script language="javascript">
		parent.document.getElementById('xidtrans_caja').value = "<?php echo $xnu; ?>";
		//alert("generado");
		</script>			
		<?php
		
		return 1;	

	}

}


?>

